Download it now!
Bug 90344 - Shape anchors incorrectly (file attached)
Summary: Shape anchors incorrectly (file attached)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap Shapes
  Show dependency treegraph
 
Reported: 2015-03-30 08:33 UTC by Bart
Modified: 2020-05-07 12:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Ellipse anchor bug on page 8 (1.03 MB, application/vnd.oasis.opendocument.text)
2015-03-30 08:33 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart 2015-03-30 08:33:44 UTC
Created attachment 114458 [details]
Ellipse anchor bug on page 8

In attached file, p.8, when drawing a red ellipse on top of the image on top of the page, it jumps to the footer area of the previous page and can no longer be selected. Also impossible to draw an ellipse on top of the image except in anchor mode "page" (but I want it to move with the image).

To reproduce:
- open attached file
- scroll to page 8
- draw an ellipse on top of the image on top of the page

Observed behavior: ellipse jumps to footer area of previous page
Expected behavior: ellipse stays on top of image, or jumps to page area (not footer area) of page above

Alternatively:
- draw the ellipse in the text area below the upper image, it will stay in place
- drag the ellipse unto the image above, it will again jump to the footer area of the previous page
Changing anchor mode of the ellipse to "to Paragraph", "to Character" or "as character" does not change anything. "To Page" works, but is not desired (ellipse has to move together with underlying image).

The same setup (ellipse on top of image) does works on the second image on the same page.
Comment 1 A (Andy) 2015-03-30 17:18:11 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Matthew Francis 2015-04-05 14:49:28 UTC
Also reproducible on Linux in LO 3.3.0

-> Version: Inherited from OOo
-> Platform: All
Comment 3 tommy27 2016-04-16 07:22:41 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-05-22 13:22:05 UTC Comment hidden (obsolete)
Comment 5 Bart 2017-05-22 14:27:21 UTC
Reproduced with LibreOffice Writer 5.3.2.2
Windows 10 Pro build 1703.
Same bug behavior.
Comment 6 QA Administrators 2018-06-25 02:41:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug